%global debug_package %{nil}

Name:           ublue-bling
Version:        0.1.5
Release:        1%{?dist}
Summary:        Universal Blue Bling CLI setup scripts

License:        Apache-2.0
URL:            https://github.com/ublue-os/packages
VCS:            git+https://github.com/ublue-os/packages.git#ae8a44478f190d202ded5db1150bf675f6d30c95:packages/ublue-bling
Source:         packages-packages-ublue-bling-ae8a4447.tar.gz

Requires:       gum
# FIXME: make ublue-builder be able to handle stuff like this
# Requires:       ublue-os-just

%description
Universal Blue Bling CLI setup scripts

%prep
%setup -T -b 0 -q -n packages-packages-ublue-bling

%install
install -Dm0755 ./src/%{name} %{buildroot}%{_libexecdir}/%{name}
# Intented to either be symlinked into the correct directories or be used directly
install -Dm0755 ./src/bling.sh %{buildroot}%{_datadir}/ublue-os/bling/bling.sh
install -Dm0755 ./src/bling.fish %{buildroot}%{_datadir}/ublue-os/bling/bling.fish

%files
%{_libexecdir}/%{name}
%{_datadir}/ublue-os/bling/bling.*sh

%changelog
%autochangelog
